![TrackEasy Logo](assets/img/trackeasy-logo.png)

# TrackEasy Plugin For WordPress

The TrackEasy plugin for WordPress is a Contact Form 7 extension that captures leads and stores them in the TrackEasy lead management system.

- Plugin Name:          TrackEasy
- Plugin URI:           [https://www.trackeasy.co.za](https://www.trackeasy.co.za)
- Description:          A Contact Form 7 extension that captures leads and stores them in TrackEasy.
- Author:               Netgen
- Version:              1.0.0
- Requires at least:    6.3
- Requires PHP:         8.0
- Author URI:           [https://www.netgen.co.za](https://www.netgen.co.za)
- License:              GPL3
- License URI:          [https://www.gnu.org/licenses/gpl-3.0.en.html](https://www.gnu.org/licenses/gpl-3.0.en.html)
- Text Domain:          trackeasy
- Domain Path:          /languages
---
## Getting Started

After installing and activating the TrackEasy plugin, enter your TrackEasy API key on the TrackEasy Settings page to start tracking leads via Contact Form 7. Find your API key and view captured leads by logging into TrackEasy, here: [https://admin.trackeasy.co.za](https://admin.trackeasy.co.za).

Don't have a TrackEasy account? Register here: [https://www.trackeasy.co.za](https://www.trackeasy.co.za).

---
## TrackEasy Contact Form 7 Setup
Follow the steps below to set up a Contact Form 7 form to capture leads for a TrackEasy campaign.

### Step 1
Download, install and activate the Contact Form 7 plugin, available here: [https://wordpress.org/plugins/contact-form-7](https://wordpress.org/plugins/contact-form-7).

### Step 2
Create a new Contact Form 7 form that you would like to use to capture leads for a specific TrackEasy campaign.

### Step 3
Add Contact Form 7 field tags that you would like to use to capture specific lead data.

**Supported Contact Form 7 form tag types:**

- text
- email
- tel
- textarea
- url
- date
- number
- select
- checkbox
- radio
- quiz
- acceptance
- password
- hidden

*Remember that correct TrackEasy field names be used for form tag names to ensure that your Contact Form 7 form fields are mapped properly to those on the lead table in the TrackEasy system.*

For example, the following Contact Form 7 field tags named "firstname", "tel_cell", "message", "marketing_email_accept" will be mapped to the "First Name", "Cell Number", "Message" and "Allow Email Marketing" fields on the lead table in TrackEasy:

`[text firstname]` `[tel tel_cell]` `[textarea message]` `[acceptance marketing_email_accept]`

Available TrackEasy field names to use for Contact Form 7 field tags:

- firstname
- lastname
- email
- tel_cell
- tel_home
- address_physical
- address_postal
- message
- marketing_sms_accept
- marketing_email_accept
- marketing_whatsapp_accept

You can also use the following TrackEasy field names to map Contact Form 7 fields to any additional fields added to the lead table in TrackEasy:
- add_value
- add_value2
- add_value3
- add_value4
- add_value5
- add_value6
- add_value7
- add_value8
- add_value9
- add_value10
- add_value11
- add_value12

For example, the following Contact Form 7 field tags named "add_value" and "add_value2" will be mapped to additional "Field 1" and additional "Field 2" on the lead table in TrackEasy:

`[text add_value]` `[text add_value2]`

### Step 4
Now, add the following campaign ID tag to the Contact Form 7 form with the mapped fields.

`[te_campaignid]`

Finally, give the tag the value of the TrackEasy campaign ID that you want to associate with the form. For example, the following tag will ensure that leads are captured for the TrackEasy campaign with the ID "302":

`[te_campaignid "302"]`

That's it! Your form is ready to capture leads for your TrackEasy campaign.
