<?php

namespace Trackeasy\Classes;

// If this file is called directly, abort.
if (!defined('ABSPATH')) {
    exit();
}

/**
 * TE_Trackeasy class
 */
class TE_Trackeasy
{
    /**
     * @var TE_Trackeasy_Admin()
     */
    public TE_Trackeasy_Admin $admin;

    /**
     * @var TE_Trackeasy_CF7_Integration()
     */
    public TE_Trackeasy_CF7_Integration $cf7_integration;

    /**
     * TE_Trackeasy constructor
     */
    public function __construct()
    {
        $this->admin = new TE_Trackeasy_Admin();
        $this->cf7_integration = new TE_Trackeasy_CF7_Integration();
        add_action('init', [$this, 'te_load_plugin_text_domain']);
    }

    /**
     * Adds the plugin text domain.
     *
     * @return void
     * @access public
     */
    public function te_load_plugin_text_domain(): void
    {
        load_plugin_textdomain('trackeasy', false, basename(TE_TRACKEASY_PATH) . '/languages');
    }
}
