<?php

namespace Trackeasy\Classes;

/**
 * TE_Trackeasy_Validator class
 */
class TE_Trackeasy_Validator
{
    /**
     * Checks whether a string value is an integer
     *
     * @param string $value
     * @return boolean
     * @access public
     * @static
     */
    public static function te_string_is_int_val(string $value): bool
    {
        $result = false;
        if (preg_match('/^[0-9]+$/', $value)) {
            $result = true;
        }
        return $result;
    }

    /**
     * Checks whether a string is 1 or 0
     *
     * @param string $value
     * @return boolean
     * @access public
     * @static
     */
    public static function te_string_is_int_val_0_or_1(string $value): bool
    {
        $result = false;
        if (self::te_string_is_int_val($value)) {
            if (intval($value) >= 0 && intval($value) <= 1) {
                $result = true;
            }
        }
        return $result;
    }
}
