<div class="wrap">
    <h1>
        <?php echo esc_html(sprintf(__('%s Settings', 'trackeasy'), 'TrackEasy')); ?>
    </h1>
    <?php if (isset($_GET['status']) && $_GET['status'] == '1') : ?>
        <div class="notice notice-success is-dismissible">
            <p><?php esc_html_e(sprintf(__('%s settings saved.', 'trackeasy'), 'TrackEasy')); ?></p>
        </div>
    <?php endif; ?>
    <p>
        <?php echo esc_html(sprintf(__('Enter your %s API key below to start tracking leads via %s. Find your API key and view captured leads by logging into %s, here: ', 'trackeasy'), 'TrackEasy', 'Contact Form 7', 'TrackEasy')); ?> <a target="_blank" href="https://admin.trackeasy.co.za">https://admin.trackeasy.co.za</a>.
    </p>
    <p>
        <?php echo esc_html(sprintf(__("Don't have a TrackEasy account? Register here:", 'trackeasy'))); ?> <a target="_blank" href="https://www.trackeasy.co.za">https://www.trackeasy.co.za</a>.
    </p>
    <form method="POST" action="admin-post.php" novalidate="novalidate">
        <input type="hidden" name="action" value="te_save_setting_options" />
        <?php wp_nonce_field('te_setting_options_verify'); ?>
        <table class="form-table">
            <tr>
                <th scope="row"><label for="<?php esc_attr_e($trackeasy_api_key); ?>"><?php echo esc_html(sprintf(__('%s API Key', 'trackeasy'), 'TrackEasy')); ?></label></th>
                <td>
                    <input name="<?php esc_attr_e($trackeasy_api_key); ?>" type="password" spellcheck="false" id="<?php esc_attr_e($trackeasy_api_key); ?>" value="<?php esc_attr_e(get_option($trackeasy_api_key)); ?>" class="regular-text" />
                </td>
            </tr>
        </table>
        <?php submit_button(); ?>
    </form>
    <?php include_once(TE_TRACKEASY_PATH . 'partials/content-logo.php'); ?>
</div>
