<h2>
    <?php echo esc_html(sprintf(
        __('%s Setup', 'trackeasy'),
        'TrackEasy Contact Form 7'
    )); ?>
</h2>
<p>
    <?php echo esc_html(sprintf(
        __('Follow the steps below to set up a %s form to capture leads for a %s campaign.', 'trackeasy'),
        'Contact Form 7',
        'TrackEasy'
    )); ?>
</p>
<h2><?php echo esc_html__('Step 1', 'trackeasy'); ?></h2>
<p>
    <?php echo esc_html(sprintf(
        __('Download, install and activate the %s plugin, available here: ', 'trackeasy'),
        'Contact Form 7'
    )); ?>
    <a href="https://wordpress.org/plugins/contact-form-7" target="_blank">https://wordpress.org/plugins/contact-form-7</a>.
</p>
<h3><?php echo esc_html__('Step 2', 'trackeasy'); ?></h3>
<p>
    <?php echo esc_html(sprintf(
        __('Create a new %s form that you would like to use to capture leads for a specific %s campaign.', 'trackeasy'),
        'Contact Form 7',
        'TrackEasy'

    )); ?>
</p>
<h3><?php echo esc_html__('Step 3', 'trackeasy'); ?></h3>
<p>
    <?php echo esc_html(sprintf(
        __('Add %s field tags that you would like to use to capture specific lead data.', 'trackeasy'),
        'Contact Form 7',
    )); ?>
</p>
<p>
    <strong>
        <?php echo esc_html(sprintf(
            __('Supported %s form tag types:', 'trackeasy'),
            'Contact Form 7'
        )); ?>
    </strong>
</p>
<?php echo implode(' ', $supported_cf7_fields); ?>
<p>
    <em>
        <?php echo esc_html(sprintf(
            __('Remember that correct %s field names be used for form tag names to ensure that your %s form fields are mapped properly to those on the lead table in the %s system.', 'trackeasy'),
            'TrackEasy',
            'Contact Form 7',
            'TrackEasy'
        )); ?>
    </em>
</p>
<p>
    <?php echo esc_html(sprintf(
        __('For example, the following %s field tags named "firstname", "tel_cell", "message", "marketing_email_accept" will be mapped to the "First Name", "Cell Number", "Message" and "Allow Email Marketing" fields on the lead table in %s:', 'trackeasy'),
        'Contact Form 7',
        'TrackEasy'
    )); ?>
</p>
<code>[text firstname]</code> <code>[tel tel_cell]</code> <code>[textarea message]</code> <code>[acceptance marketing_email_accept]</code>
<h4>
    <?php echo esc_html(sprintf(
        __('Available %s field names to use for %s field tags: ', 'trackeasy'),
        'TrackEasy',
        'Contact Form 7'
    )); ?>
</h4>
<p>
    <code>firstname</code> <code>lastname</code> <code>email</code> <code>tel_cell</code> <code>tel_home</code> <code>address_physical</code> <code>address_postal</code> <code>message</code> <code>marketing_sms_accept</code> <code>marketing_email_accept</code> <code>marketing_whatsapp_accept</code>
</p>
<h4>
    <?php echo esc_html(sprintf(
        __('You can also use the following %s field names to map %s fields to any additional fields added to the lead table in %s: ', 'trackeasy'),
        'TrackEasy',
        'Contact Form 7',
        'TrackEasy'
    )); ?>
</h4>
<p>
    <code>add_value</code> <code>add_value2</code> <code>add_value3</code> <code>add_value4</code><code>add_value5</code> <code>add_value6</code> <code>add_value7</code> <code>add_value8</code> <code>add_value9</code> <code>add_value10</code> <code>add_value11</code> <code>add_value12</code>
</p>
<p>
    <?php echo esc_html(sprintf(
        __('For example, the following %s field tags named "add_value" and "add_value2" will be mapped to additional "Field 1" and additional "Field 2" on the lead table in %s:', 'trackeasy'),
        'Contact Form 7',
        'TrackEasy'
    )); ?>
</p>
<code>[text add_value]</code> <code>[text add_value2]</code>
<h3><?php echo esc_html__('Step 4', 'trackeasy'); ?></h3>
<p>
    <?php echo esc_html(sprintf(
        __('Now, add the following campaign ID tag to the %s form with the mapped fields.', 'trackeasy'),
        'Contact Form 7'
    )); ?>
</p>
<code>[te_campaignid]</code>
<p>
    <?php echo esc_html(sprintf(
        __('Finally, give the tag the value of the %s campaign ID that you want to associate with the form. For example, the following tag will ensure that leads are captured for the %s campaign with the ID "302":', 'trackeasy'),
        'TrackEasy',
        'TrackEasy'
    )); ?>
</p>
<code>[te_campaignid "302"]</code>
<p>
    <?php echo esc_html(sprintf(
        __("That's it! Your form is ready to capture leads for your %s campaign.", 'trackeasy'),
        'TrackEasy'
    )); ?>
</p>
